// ExcelCPP.cpp : ܼ  α׷   մϴ.
//

#include "stdafx.h"

extern void TestExcel();

#include <iostream>
#include <string>
#include <stdio.h>
#include <windows.h>
#include "MyExcel.h"

#if defined(_DEBUG) 
void OutputDebugPrintf(char* fmt, ...) 
{
    char buffer[400];

    memset( buffer, 0, 400 );
    va_list argptr;
    int cnt;

    va_start(argptr, fmt);
    cnt = vsprintf_s(buffer, 400, fmt, argptr);
    va_end(argptr);

    OutputDebugString(buffer);
}
 
#else  
inline void OutputDebugPrintf(char* fmt, ...); 
#endif 


bool GetExeFolder(char* szRetPath, int nDestSize )
{
	//  θ  η 
	char szExeFullPath[500];
	::GetModuleFileName( NULL, szExeFullPath, MAX_PATH );
	
    char szDrive[_MAX_DRIVE];
    char szDir[_MAX_PATH];
    char szFile[_MAX_FNAME];
    char szExt[_MAX_EXT];

    _splitpath_s( szExeFullPath, szDrive, _MAX_DRIVE, szDir, _MAX_PATH, szFile, _MAX_FNAME, szExt, _MAX_EXT );

    if( ( strlen(szDrive) + strlen(szDir) + 1 ) > (unsigned int)nDestSize )
        return false;

    sprintf_s( szRetPath, nDestSize, "%s%s", szDrive, szDir );

    return true;
}

  
std::string GetFullPath( const char* szFile )
{
	char szPath[ 500 ];
	GetExeFolder( szPath, 500 );
	strcat_s( szPath, 500, szFile );
	std::string str = szPath;
	return str;
}


int _tmain(int argc, _TCHAR* argv[])
{
	//TestExcel();

	MyExcel excel;
	if( excel.Load( GetFullPath( "test.xlsx" ).c_str() ) )
	{
		StringBoolTable& table = excel.GetTable();
		table.IncRow();
		//Է° -1̸  ࿡ Է,     -1 
		table.Set( -1, 4-1, " ׽Ʈ", true );
	}

	excel.SaveAs( GetFullPath( "test_1.csv" ).c_str() );
	excel.SaveAs( GetFullPath( "test_2.xls" ).c_str() );
	excel.SaveAs( GetFullPath( "test_3.xlsx" ).c_str() );
	return 0;
}

