//MyExcel.h
#ifndef _MYEXCEL_H
#define _MYEXCEL_H

#include "StringTable.h"

class MyExcel
{
public:
	MyExcel();
	~MyExcel();

	bool	Load( const char* szFileName );
	bool	Save();
	bool	SaveAs( const char* szFileName );
	StringBoolTable& GetTable()
	{
		return m_table;
	}

protected:
	StringBoolTable	m_table;
	std::string		m_szFileName;
};

#endif